## ettercap 0.8.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)
project(ettercap C)

set(VERSION "0.8.4")

include(GNUInstallDirs)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
set(CMAKE_SCRIPT_PATH "${CMAKE_SOURCE_DIR}/cmake/Scripts")

include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build.
Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

option(ENABLE_CURSES "Enable curses interface" ON)
option(ENABLE_GTK "Enable GTK interface" ON)
option(ENABLE_PLUGINS "Enable plugins support" ON)
option(ENABLE_IPV6 "Enable IPv6 support" OFF)
option(ENABLE_LUA "Enable LUA support (EXPERIMENTAL)" OFF)
option(ENABLE_PDF_DOCS "Enable PDF document generation" OFF)
option(ENABLE_TESTS "Enable Unit Tests" OFF)
option(ENABLE_GEOIP "Build with GeoIP support" ON)
option(LIBRARY_BUILD "Build for libettercap only" OFF)
option(INSTALL_DESKTOP "Install ettercap desktop files" ON)


set(VALID_BUILD_TYPES Debug Release RelWithDebInfo)

if(NOT CMAKE_BUILD_TYPE)
  # Default to using "Release" as our build type.
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
    "Choose the type of build, options are: ${VALID_BUILD_TYPES}." FORCE)
endif()
list(FIND VALID_BUILD_TYPES ${CMAKE_BUILD_TYPE} contains_valid)
if(contains_valid EQUAL -1)
  message(FATAL_ERROR "Unknown CMAKE_BUILD_TYPE: '${CMAKE_BUILD_TYPE}'. Valid options are: ${VALID_BUILD_TYPES}")
endif()
unset(contains_valid)

include(CMakeDependentOption)

# If SYSTEM_LIBS is set to off, then all SYSTEM_* options will be
# set to off.
option(SYSTEM_LIBS "Search for system-provided libraries.
This is only used for libraries that we happen to also bundle.
Disabling this implies that we would only use bundled libraries." ON)

# If BUNDLED_LIBS is set to off, then all BUNDLED_* options will be
# set to off.
option(BUNDLED_LIBS
  "Use bundled libraries if system provided versions are not found (or disabled)" ON)

cmake_dependent_option(SYSTEM_CURL
  "Search for a system-provided version of Curl" ON
  SYSTEM_LIBS OFF)

cmake_dependent_option(BUNDLED_CURL
  "Use bundled version of Curl if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)

cmake_dependent_option(SYSTEM_LIBNET
  "Search for a system-provided version of LIBNET" ON
  SYSTEM_LIBS OFF)

cmake_dependent_option(BUNDLED_LIBNET
  "Use bundled version of LIBNET if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)

cmake_dependent_option(SYSTEM_LUAJIT
  "Search for a system-provided version of LUAJIT" ON
  "SYSTEM_LIBS;ENABLE_LUA" OFF)

cmake_dependent_option(BUNDLED_LUAJIT
  "Use bundled version of LUAJIT if system-provided version is not found (or disabled)" ON
  "BUNDLED_LIBS;ENABLE_LUA" OFF)

if(ENABLE_TESTS)
cmake_dependent_option(SYSTEM_LIBCHECK
  "Search for a system-provided version of LIBCHECK" ON
  SYSTEM_LIBS OFF)

cmake_dependent_option(BUNDLED_LIBCHECK
  "Use bundled version of LIBCHECK if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)
endif()

set(SPECIAL_LIB_DIR "" CACHE PATH "Special (non-traditional) root directory where headers/libraries are installed")

include(CheckVariableInHeaders)
include(EttercapOSTest)

#Check and see if we're running Darwin, specify the CMAKE_LIBARY_PATH to do so
if(OS_DARWIN)
  set(CMAKE_SYSTEM_NAME Darwin)
  set(CMAKE_LIBRARY_PATH ${SPECIAL_LIB_DIR}/lib ${CMAKE_LIBRARY_PATH})
  set(CMAKE_INCLUDE_PATH ${SPECIAL_LIB_DIR}/include ${CMAKE_INCLUDE_PATH})
endif()

if(LIBRARY_BUILD)
  set(ENABLE_GTK OFF)
  set(ENABLE_CURSES OFF)
  set(JUST_LIBRARY 1)
endif()

include(EttercapHeadersCheck)
include(EttercapLibCheck)
include(EttercapVariableCheck)

set(INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix")
set(INSTALL_SYSCONFDIR ${CMAKE_INSTALL_FULL_SYSCONFDIR} CACHE PATH "System configuration directory")
set(INSTALL_LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR} CACHE PATH "Library installation directory")
set(INSTALL_DATADIR ${CMAKE_INSTALL_FULL_DATADIR} CACHE PATH "Data installation directory")
set(INSTALL_EXECPREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "")
set(INSTALL_BINDIR  ${CMAKE_INSTALL_FULL_BINDIR} CACHE PATH "Binary files installation directory")
if(OS_DARWIN OR OS_BSD_FREE OR OS_WINDOWS)
  set(INSTALL_SYSCONFDIR ${CMAKE_INSTALL_PREFIX}/etc CACHE PATH "System configuration directory")
  set(POLKIT_DIR ${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions/ CACHE PATH "Polkit installation directory")
else()
#at least on ubuntu, polkit dir couldn't be /usr/local/share, but should be /usr/share
  set(POLKIT_DIR /usr/share/polkit-1/actions/ CACHE PATH "Polkit installation directory")
endif()
set(PKEXEC_INSTALL_WRAPPER org.pkexec.ettercap CACHE PATH "Name of the pkexec action file")
set(DESKTOP_DIR ${CMAKE_INSTALL_FULL_DATADIR}/applications/ CACHE PATH "Desktop file installation directory")
set(METAINFO_DIR ${CMAKE_INSTALL_FULL_DATADIR}/metainfo/ CACHE PATH "Metainfo file installation directory")
set(ICON_DIR ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor CACHE PATH "XDG hicolor icon theme installation directory")
set(MAN_INSTALLDIR ${CMAKE_INSTALL_FULL_MANDIR} CACHE PATH "Path for manual pages")

if(NOT DISABLE_RPATH)
  # Ensure that, when we link to stuff outside of our build path, we include the
  # library dir path in our RPATH.
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  set(CMAKE_MACOSX_RPATH 1)
endif()

# set general build flags for debug build-type
set(CMAKE_C_FLAGS_DEBUG "-O0 -ggdb3 -DDEBUG -fno-common -Wall -Wno-pointer-sign -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security -Wextra -Wredundant-decls" CACHE STRING "" FORCE)
## append ASAN build flags if compiler version has support
#if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
#   if(CMAKE_C_COMPILER_VERSION VERSION_GREATER 4.8)
#      set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address \
#         -fno-omit-frame-pointer" CACHE STRING "" FORCE)
#      message("Building with ASAN support (GNU compiler)")
#   else()
#      message("Building without ASAN support (GNU compiler)")
#   endif()
#elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
#   if(CMAKE_C_COMPILER_VERSION VERSION_GREATER 3.1)
#      set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address \
#         -fno-omit-frame-pointer" CACHE STRING "" FORCE)
#      message("Building with ASAN support (Clang compiler)")
#   elseif(CMAKE_C_COMPILER_VERSION VERSION_GREATER 3.1)
#      message("Building without ASAN support (Clang compiler)")
#   endif()
#endif()

# set build flags for release build-type
set(CMAKE_C_FLAGS_RELEASE "-O2 -w -D_FORTIFY_SOURCE=2" CACHE STRING "" FORCE)

if(OS_DARWIN)
set(CMAKE_EXE_LINKER_FLAGS "-Wl" CACHE STRING "" FORCE)
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-Wl" CACHE STRING "" FORCE)
set(CMAKE_MODULE_LINKER_FLAGS "-Wl" CACHE STRING "" FORCE)
set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup" CACHE STRING "" FORCE)
endif()

if(ENABLE_LUA)
  include(EttercapLuajit)
  set(HAVE_EC_LUA 1)
endif()

if(CURL_FOUND)
  set(HAVE_CURL 1)
endif()

set(EC_INCLUDE_PATH ${CMAKE_CURRENT_BINARY_DIR}/include ${CMAKE_SOURCE_DIR}/include ${EC_INCLUDE})
include_directories(${EC_INCLUDE_PATH})

add_subdirectory(src)

if(INSTALL_DESKTOP)
  add_subdirectory(desktop)
endif()

if(HAVE_PLUGINS)
    if(OS_MINGW)
        message("Sorry, plugins support on Windows is currently unavailable")
    else()
        add_subdirectory(plug-ins)
    endif()
endif()
add_subdirectory(utils)
add_subdirectory(share)
add_subdirectory(man)

if(ENABLE_IPV6)
    set(WITH_IPV6 TRUE)
endif()

# This line should ALWAYS be after all options are defined
configure_file(include/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)

if(ENABLE_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif()

# uninstall target
configure_file(
    "${CMAKE_SCRIPT_PATH}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# Add a target that will ensure that the build directory is properly cleaned.
add_custom_target(clean-all
  COMMAND ${CMAKE_BUILD_TOOL} clean
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SCRIPT_PATH}/clean-all.cmake
)

# If we notice that this isn't the first time they've run
if(NOT ("${CMAKE_CACHEFILE_DIR}" STREQUAL ""))
  message("")
  message("HAVING TROUBLE BUILDING ETTERCAP? ")
  message("")
  message("  1. Install any missing dependencies")
  message("  2. run 'make clean-all'")
  message("  3. run 'cmake ${CMAKE_SOURCE_DIR}'")
  message("")
endif()

include(FeatureSummary)
feature_summary(WHAT ALL)

=== plug-ins/CMakeLists.txt ===
if(HAVE_PCRE OR HAVE_PCRE2)
  if(CURL_FOUND)
    add_library(sslstrip MODULE sslstrip/sslstrip.c)
    include_directories(${CURL_INCLUDE_DIR} ${PCRE_INCLUDE_DIR})
    add_dependencies(sslstrip curl)
    target_link_libraries(sslstrip ${CURL_LIBRARY} ${PCRE_LIBRARY})
    target_link_libraries(sslstrip lib_ettercap)
    set_target_properties(sslstrip PROPERTIES PREFIX "ec_")
    install(TARGETS sslstrip
        LIBRARY DESTINATION ${INSTALL_LIBDIR}/ettercap/
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                    GROUP_READ GROUP_EXECUTE
                    WORLD_READ WORLD_EXECUTE)

  else()
    message(STATUS "Not building sslstrip plugin. Requires libcurl.")
  endif()
else()
  message(STATUS "Not building sslstrip plugin. Requires pcre.")
endif()

set(PLUGINS arp_cop
autoadd
chk_poison
dns_spoof
mdns_spoof
dos_attack
dummy
find_conn
find_ettercap
find_ip
finger
finger_submit
fraggle_attack
gre_relay
gw_discover
isolate
link_type
nbns_spoof
pptp_chapms1
pptp_clear
pptp_pap
pptp_reneg
rand_flood
remote_browser
reply_arp
repoison_arp
scan_poisoner
search_promisc
smb_clear
smb_down
krb5_downgrade
smurf_attack
stp_mangler)

foreach(plugin ${PLUGINS})
  add_library(${plugin} MODULE ${plugin}/${plugin}.c)
  set_target_properties(${plugin} PROPERTIES PREFIX "ec_")
  target_link_libraries(${plugin} lib_ettercap)
  install(TARGETS ${plugin}
        LIBRARY DESTINATION ${INSTALL_LIBDIR}/ettercap/
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                    GROUP_READ GROUP_EXECUTE
                    WORLD_READ WORLD_EXECUTE)
endforeach()

if(NOT HAVE_DN_EXPAND)
  target_link_libraries(dns_spoof ${HAVE_RESOLV})
  target_link_libraries(mdns_spoof ${HAVE_RESOLV})
endif()

target_link_libraries(dos_attack ${HAVE_LIBNET})

=== share/CMakeLists.txt ===

if(ENABLE_IPV6)
  configure_file(etter.conf.v6 etter.conf COPYONLY)
else()
  configure_file(etter.conf.v4 etter.conf COPYONLY)
endif()

set(EC_CONFFILES
    etter.dns
    etter.mdns
    etter.nbns
)

set(EC_DATAFILES
    ettercap.png
    ettercap-small.png
    ettercap.svg
    etter.dns.examples
    etter.mdns.examples
    etter.fields
    etter.filter
    etterfilter.cnt
    etter.filter.examples
    etter.filter.kill
    etter.filter.pcre
    etter.filter.ssh
    etterfilter.tbl
    etter.finger.mac
    etter.finger.os
    etterlog.dtd
    etter.mime
    etter.services
    etter.ssl.crt
    ../AUTHORS
)
if(NOT NO_INSTALL_LICENSE)
  set(EC_DATAFILES ${EC_DATAFILES} ../LICENSE)
endif()

if(HAVE_GEOIP)
  set(GEOLITE2_VERSION "GeoLite2-Country_20260102")
  file(ARCHIVE_EXTRACT INPUT ${CMAKE_CURRENT_SOURCE_DIR}/${GEOLITE2_VERSION}.tar.gz
    PATTERNS "${GEOLITE2_VERSION}/GeoLite2-Country.mmdb")
  set(EC_DATAFILES ${EC_DATAFILES} ${CMAKE_CURRENT_BINARY_DIR}/${GEOLITE2_VERSION}/GeoLite2-Country.mmdb)
endif()

foreach(f IN LISTS EC_DATAFILES EC_CONFFILES)
  configure_file(${f} ${f} COPYONLY)
endforeach()
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/${EC_CONFFILES}
        ${CMAKE_CURRENT_BINARY_DIR}/etter.conf
        DESTINATION ${INSTALL_SYSCONFDIR}/ettercap)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/${EC_DATAFILES}
        DESTINATION ${INSTALL_DATADIR}/ettercap)

# since ettercap now uses this file as the application icon
# we still need the icon even if the desktop file is not being installed
if(ENABLE_GTK)
  install(FILES ettercap.svg DESTINATION ${ICON_DIR}/scalable/apps)
endif()

=== debian/changelog ===
ettercap (1:0.8.4-5) unstable; urgency=medium

  * Update lintian overrides

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Feb 2026 11:18:56 +0100

ettercap (1:0.8.4-4) unstable; urgency=medium

  * Update copyright file
  * Update lintian overrides

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Feb 2026 20:57:28 +0100

ettercap (1:0.8.4-3) unstable; urgency=medium

  * Enable ipv6 unconditionally, now libnet is new enough everywhere

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Feb 2026 17:10:27 +0100

ettercap (1:0.8.4-2) unstable; urgency=medium

  * Fixup copyright file again

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 01 Feb 2026 23:46:57 +0100

ettercap (1:0.8.4-1) unstable; urgency=medium

  * Drop R^3: no, default now
  * Bump std-version to 4.7.3
  * New upstream release.
    - Drop all patches, now upstream:
      - 1146.patch
      - 1170.patch
      - 1221.patch
      - 1279.patch
  * Drop old breaks+replaces, already satisfied since o-o-stable
  * Update copyright file
  * Update lintian overrides
  * B-D on libmaxminddb-dev, upstream switch to it
  * Update multiarch location for libraries
  * Update pixmaps to new hicolor location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 01 Feb 2026 22:48:38 +0100

ettercap (1:0.8.3.1-16) unstable; urgency=medium

  * Prepare for new release, fixup the luajit archs (Closes: #1125151)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jan 2026 20:56:37 +0100

ettercap (1:0.8.3.1-15) unstable; urgency=medium

  * Fix build with cmake 4 with upstream patch
    (Closes: #1112876)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Sep 2025 08:08:04 +0200

ettercap (1:0.8.3.1-14) unstable; urgency=medium

  * Enable again lua on loong64 and riscv64, now luajit is built there

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:35:27 +0100

ettercap (1:0.8.3.1-13) unstable; urgency=medium

  [ yalingfang ]
  * Disable luajit on loongarch64 (Closes: #1059020)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Dec 2023 22:25:45 +0100

ettercap (1:0.8.3.1-12) unstable; urgency=medium

  * debian/patches/1221.patch:
    - upstream build fix for curl 8

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 11:04:18 +0200

ettercap (1:0.8.3.1-11) unstable; urgency=medium

  * Move from policykit to pkexec (Closes: #1025557)
  * Add patch to move from pcre3 to pcre2 (Closes: #1000088)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Dec 2022 21:41:10 +0100

ettercap (1:0.8.3.1-10) unstable; urgency=medium

  * Disable luajit support on ppc64el, still not working properly
    (Closes: #1013809)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jun 2022 16:02:42 +0200

ettercap (1:0.8.3.1-9) unstable; urgency=medium

  * Enable luajit support on ppc64el and s390x, now the package is provided by
    luajit2
  * Bump std-version to 4.6.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jun 2022 07:02:44 +0200

ettercap (1:0.8.3.1-8) unstable; urgency=medium

  [ debian-janitor ]
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Drop unnecessary dh arguments: --parallel, --parallel, --parallel, --parallel
  * Fix day-of-week for changelog entries 1:0.7.3-2, 1:0.6.b-2, 1:0.6.b-1, 1:0.6.4-1.
  * Update standards version to 4.6.0, no changes needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 21:07:54 +0200

ettercap (1:0.8.3.1-7) unstable; urgency=medium

  * Disable luajit support on ppc64*, not ready upstream. (Closes: #1011298)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 21:01:25 +0200

ettercap (1:0.8.3.1-6) unstable; urgency=medium

  * Move to pcre3 again, because it FTBFS with pcre2
    (sadly libpcre2-dev is installed in chroots, so the FTBFS is not
     yet seen) Reopens: #1000088

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2022 12:07:12 +0100

ettercap (1:0.8.3.1-5) unstable; urgency=medium

  * Move to pcre2 (Closes: #1000088)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Feb 2022 16:23:08 +0100

ettercap (1:0.8.3.1-4) unstable; urgency=medium

  * Cherry-pick upstream-proposed pr #1146 to fix a build failure with
    new ncurses adding -Werror=format-security (Closes: #995474)
  * Update watch file for new location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Oct 2021 10:18:17 +0200

=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>,
           Murat Demirten <murat@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bison | bison++,
               check,
               chrpath,
               cmake,
               debhelper-compat (= 13),
               flex,
               groff,
               libbsd-dev,
               libcurl4-openssl-dev,
               libmaxminddb-dev,
               libgtk-3-dev,
               libltdl-dev,
               libluajit-5.1-dev [!alpha !hppa !m68k !sh4 !sparc64 !x32],
               libncurses-dev,
               libnet1-dev,
               libpcap-dev,
               libpcre2-dev,
               libssl-dev
Standards-Version: 4.7.3
Homepage: https://ettercap.github.io/ettercap/
Vcs-Git: https://salsa.debian.org/pkg-security-team/ettercap.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/ettercap

Package: ettercap-common
Architecture: any
Depends: ethtool [linux-any],
         geoip-database,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ettercap-graphical | ettercap-text-only
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the Common support files, configuration files,
 plugins, and documentation.  You must also install either
 ettercap-graphical or ettercap-text-only for the actual GUI-enabled
 or text-only ettercap executable, respectively.

Package: ettercap-text-only
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ettercap, ettercap-gtk
Conflicts: ettercap, ettercap-gtk
Provides: ettercap
Description: Ettercap console-mode executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap text-mode-only executable.

Package: ettercap-graphical
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         pkexec,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ettercap, ettercap-gtk
Conflicts: ettercap, ettercap-gtk
Provides: ettercap
Description: Ettercap GUI-enabled executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap GUI-enabled executable.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ENABLE_LUA := $(shell \
 if pkg-config luajit; \
 then echo ON; \
 else echo OFF; \
 fi)

override_dh_auto_clean:
	-rm -rf obj-graphical obj-text-only

ETTERCAP_OPTIONS= \
 -DENABLE_IPV6=ON \
 -DBUNDLED_LIBS=OFF \
 -DENABLE_LUA=$(ENABLE_LUA) \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DENABLE_TESTS=ON \
 -DDISABLE_RPATH=ON \
 -DNO_INSTALL_LICENSE=ON \
 -DENABLE_PDF_DOCS=ON
override_dh_auto_configure:
	@echo ENABLE_LUA = $(ENABLE_LUA)
	dh_auto_configure --builddirectory=obj-text-only -- $(ETTERCAP_OPTIONS) -DENABLE_GTK=OFF
	dh_auto_configure --builddirectory=obj-graphical -- $(ETTERCAP_OPTIONS) -DENABLE_GTK=ON

override_dh_auto_build: override_dh_auto_build-text-only
override_dh_auto_build: override_dh_auto_build-graphical

override_dh_auto_build-text-only: ; dh_auto_build --parallel --builddirectory=obj-text-only
override_dh_auto_build-graphical: ; dh_auto_build --parallel --builddirectory=obj-graphical

override_dh_auto_test: override_dh_auto_test-text-only
override_dh_auto_test: override_dh_auto_test-graphical

override_dh_auto_test-text-only: ; dh_auto_test --parallel --builddirectory=obj-text-only
override_dh_auto_test-graphical: ; dh_auto_test --parallel --builddirectory=obj-graphical

override_dh_auto_install:
	dh_auto_install --builddirectory=obj-text-only
	mv debian/tmp/usr/lib/*/libettercap-ui.so* obj-text-only
	mv debian/tmp/usr/bin/* obj-text-only
	dh_auto_install --builddirectory=obj-graphical

override_dh_install:
	dh_install
	@echo The ettercap-pkexec man page belongs in ettercap-graphical
	-rm --verbose debian/ettercap-common/usr/share/ettercap/doc/ettercap-pkexec*
	-rm --verbose debian/ettercap-common/usr/share/man/man*/ettercap-pkexec*
	@echo The ettercap images belongs in ettercap-graphical
	-rm --verbose debian/ettercap-common/usr/share/ettercap/*.png
	-rm --verbose debian/ettercap-common/usr/share/ettercap/*.svg

override_dh_installdocs:
	dh_installdocs -pettercap-common
	dh_installdocs -Nettercap-common --link-doc=ettercap-common
